Bug 216052 - comms/telldus-core: fails to build with clang 4.0
Summary: comms/telldus-core: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-14 04:52 UTC by Jan Beich
Modified: 2017-01-31 06:21 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (johan)


Attachments
clang4 build patch (1.02 KB, patch)
2017-01-18 20:56 UTC, Johan Ström
johan: maintainer-approval+
Details | Diff
Improved pkg-plist (616 bytes, text/plain)
2017-01-18 20:57 UTC, Johan Ström
johan: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-14 04:52:39 UTC
service/SettingsConfuse.cpp:47:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
        if (d->cfg > 0) {
            ~~~~~~ ^ ~
service/SettingsConfuse.cpp:50:17: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
        if (d->var_cfg > 0) {
            ~~~~~~~~~~ ^ ~
service/SettingsConfuse.cpp:61:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
        if (d->cfg > 0) {
            ~~~~~~ ^ ~
service/SettingsConfuse.cpp:73:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
        if (d->cfg > 0) {
            ~~~~~~ ^ ~

build log: http://sprunge.us/ZeWh
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Johan Ström 2017-01-18 20:56:29 UTC
Created attachment 179050 [details]
clang4 build patch
Comment 2 Johan Ström 2017-01-18 20:57:09 UTC
Created attachment 179051 [details]
Improved pkg-plist

Replaces @exec with @pre/postexec
Comment 3 commit-hook freebsd_committer 2017-01-18 21:35:23 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 18 21:34:42 UTC 2017
New revision: 431828
URL: https://svnweb.freebsd.org/changeset/ports/431828

Log:
  comms/telldus-core: unbreak with clang 4.0

  service/SettingsConfuse.cpp:47:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~
  service/SettingsConfuse.cpp:50:17: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->var_cfg > 0) {
              ~~~~~~~~~~ ^ ~
  service/SettingsConfuse.cpp:61:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~
  service/SettingsConfuse.cpp:73:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~

  PR:		216052
  Submitted by:	Johan Str?m (maintainer)

Changes:
  head/comms/telldus-core/files/patch-service-SettingsConfuse.cpp
Comment 4 Jan Beich freebsd_committer 2017-01-18 22:09:40 UTC
Comment on attachment 179051 [details]
Improved pkg-plist

Can you move this into a separate bug? I can't review this atm but...

- install -d is redundant with @dir
- @* keywords can set mode and owner, see /usr/ports/CHANGES from 20140922
- why not @sample empty vendor config instead of @*exec it from scratch

Note, @sample is implemented by /usr/ports/Keywords/sample.ucl
Comment 5 commit-hook freebsd_committer 2017-01-19 05:21:38 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 19 05:21:23 UTC 2017
New revision: 431845
URL: https://svnweb.freebsd.org/changeset/ports/431845

Log:
  MFH: r431828

  comms/telldus-core: unbreak with clang 4.0

  service/SettingsConfuse.cpp:47:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~
  service/SettingsConfuse.cpp:50:17: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->var_cfg > 0) {
              ~~~~~~~~~~ ^ ~
  service/SettingsConfuse.cpp:61:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~
  service/SettingsConfuse.cpp:73:13: error: ordered comparison between pointer and zero ('cfg_t *' and 'int')
          if (d->cfg > 0) {
              ~~~~~~ ^ ~

  PR:		216052
  Submitted by:	Johan Str?m (maintainer)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q1/
  branches/2017Q1/comms/telldus-core/files/patch-service-SettingsConfuse.cpp
Comment 6 Johan Ström 2017-01-31 06:21:24 UTC
Removing myself from bug, telldus-core is fixed. Automated spam?